Subject: bug#11588: 24.0.97; Left mouse click setting the mark every time?!??

From: "Drew Adams" <[email-masked]>
Date: Wed, 30 May 2012 10:41:13 -0700

> Wish it was that easy. I think Chong meant a mouse movement 
> by just a few pixels, not characters. At least that would 
> explain perfectly my am-I-to-stupid-to-use-a-mouse-or-what 
> moments. I obviously moved the mouse a pixel or two while 
> clicking, resulting in a mark being set at point. C-w or M-w 
> after that kills or copies an empty region. That's exactly 
> what I managed to do every once in a while in Emacs 23. At 
> least Emacs 24 is consistent, it never works ;-).

Yidong said, "if you move the mouse a little bit between the down and up events,
the mark gets set anyway".  So it sounds like that "little-bit" setting, if only
a pixel or two, was too small.  I would have guessed (incorrectly) that it would
have been at least half of a char-width.

But as I said, the best thing in a case like this, where different users would
anyway want/need different tolerances, would be to provide a user setting
(option) for the slop movement between down and up.